This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 116531 - mysql-server 'mysqld' service script fails to correctly start
mysql-server 'mysqld' service script fails to correctly start
Status: CLOSED DUPLICATE of bug 108779
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
1
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-22 16:39 EST by Rafael Rivera Jr
Modified: 2013-07-02 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:01:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafael Rivera Jr 2004-02-22 16:39:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
The service script uses '/usr/bin/mysqladmin' to 'ping' the mysql 
server, however when the server is properly password protected, 
the 'mysqld is alive' string is unable to be returned.

Instead, this is returned:

mysqladmin: connect to server at 'localhost' failed
error: 'Access denied for user: 'root@localhost' (Using password: NO)'

A quickfix was to include the -p<password> argument on lines 42 & 48, 
however this poses security issues.


Version-Release number of selected component (if applicable):
mysql-server-3.23.58-4

How reproducible:
Always

Steps to Reproduce:
1. service mysqld start
2. Apply password for 'root' user in mysql
3. service mysqld stop
4. service mysqld start (will 'appear' to fail now)
5. Verify mysqld is running anyway (ps -aux|grep mysql)
    

Actual Results:  Service script notes that starting of the service 
was unsuccessful. [FAILED]

Expected Results:  Service script should note [OK].

Additional info:
Comment 1 Greg 2004-02-22 17:04:43 EST
We have experienced this problem too. I had seen this reported in the
past and the fix we used was this...

edit /etc/init.d/mysqld
locate the two mysqladmin ping commands.
change them to mysqladmin -ujoefoo ping

Using the bogus user will allow the ping and there is no chance of
exposing the root password with this method.

Hopefully we'll see a fix as I have no idea of the real quality of
this patch.
Comment 2 Miloslav Trmac 2004-02-23 03:01:29 EST

*** This bug has been marked as a duplicate of 108779 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:01:31 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.